Subject: Re: draft-ietf-ip1394-dhcp-01.txt

From: Ted Lemon <[email-masked]>
Date: Wed, 23 Jun 1999 15:17:00 -0400 (EDT)

> If the draft said that the hlen MUST be 1 and that chaddr[0] MUST be 0, then 
> it would be a "legal" MAC address, and all 1394 devices would have the same 
> legal MAC address with different client-identifiers, which would work with 
> most if not all servers.

Yow.   I have to disagree.   I would have to fix my server either way.
To accept a zero-length link-layer address requires me to not make an
entry in my link-layer address table for clients that send zero-length
addresses.   To accept a link-layer address whose length is 1 and
that's the same for every client requires me to add a special case for
my server that treats such addresses as null.   It also requires me to
assume that I will never receive a legitimate link-layer address with
a length of 1, which is an assumption that, while likely to be true, I
would rather not have to make.

I think that a lot of people will have to change their servers as a
result of this RFC.   I'd rather make the change that is most correct,
which I think is what the RFC currently does.

			       _MelloN_